Module java.rmi
Package java.rmi.server

## Class SkeletonNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.rmi.RemoteException
        - - java.rmi.server.SkeletonNotFoundException

All Implemented Interfaces:
  `Serializable`

    @Deprecated
    public class SkeletonNotFoundException
    extends RemoteException

Deprecated.
no replacement. Skeletons are no longer required for remote method calls in the Java 2 platform v1.2 and greater.
A `SkeletonNotFoundException` is thrown if the `Skeleton` corresponding to the remote object being exported is not found. Skeletons are no longer required, so this exception is never thrown.

Since:
  1.1
See Also:
  Serialized Form

### Field Summary

### Fields declared in class java.rmi.RemoteException

`detail`

### Constructor Summary

Constructors
`SkeletonNotFoundException​(String s)` Deprecated. Constructs a `SkeletonNotFoundException` with the specified detail message.
`SkeletonNotFoundException​(String s, Exception ex)` Deprecated. Constructs a `SkeletonNotFoundException` with the specified detail message and nested exception.

### Method Summary

### Methods declared in class java.rmi.RemoteException

`getCause, getMessage`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SkeletonNotFoundException

    public SkeletonNotFoundException​(String s)

Deprecated.
Constructs a `SkeletonNotFoundException` with the specified detail message.

Parameters:
  `s` - the detail message.
Since:
  1.1

#### SkeletonNotFoundException

    public SkeletonNotFoundException​(String s,
                                     Exception ex)

Deprecated.
Constructs a `SkeletonNotFoundException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message.
  `ex` - the nested exception
Since:
  1.1